# class Tk::Itcl::ItclObject

### Constants

ITCL_CLASSNAME
ITCL_OBJ_ID
ITCL_OBJ_TBL

### Public Class Methods

call_proc(name, *args) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 62
    def self.call_proc(name, *args)
      tk_call("#{ITCL_CLASSNAME}::#{cmd}", *args)
    end

new(*args) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 51
    def initialize(*args)
      if (@klass = self.class::ITCL_CLASSNAME).empty?
        fail RuntimeError, 'unknown itcl class (abstract class?)'
      end
      Tk::Itcl::ItclObject::ITCL_OBJ_ID.mutex.synchronize{
        @id = Tk::Itcl::ItclObject::TCL_OBJ_ID.join(TkCore::INTERP._ip_id_)
        Tk::Itcl::ItclObject::ITCL_OBJ_ID[1].succ!
      }
      @path = @id
    end

### Public Instance Methods

call_method(name, *args) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 66
    def call_method(name, *args)
      tk_call(@path, name, *args)
    end

info_class() click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 75
    def info_class
      tk_call(@path, 'info', 'class')
    end

info_function(*args) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 87
    def info_function(*args)
      if args[-1].kind_of?(Array)
        params = args.pop
        params.each{|param|
          param = param.to_s
          args << ( (param[0] == ?-)? param: "-#{param}" )
        }
      end
      list(tk_call(@path, 'info', 'function', *args))
    end

info_heritage() click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 83
    def info_heritage
      list(tk_call(@path, 'info', 'heritage'))
    end

info_inherit() click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 79
    def info_inherit
      simplelist(tk_call(@path, 'info', 'inherit'))
    end

info_variable(*args) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 98
    def info_variable(*args)
      if args[-1].kind_of?(Array)
        params = args.pop
        params.each{|param|
          param = param.to_s
          args << ( (param[0] == ?-)? param: "-#{param}" )
        }
      end
      list(tk_call(@path, 'info', 'variable', *args))
    end

isa(klass) click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 70
    def isa(klass)
      bool(tk_call(@path, 'isa', klass))
    end

Also aliased as: itcl_kind_of?
itcl_kind_of?(klass)
Alias for: isa
mutex() click to toggle source

    # File lib/tkextlib/itcl/incr_tcl.rb, line 46
    def mutex; @mutex; end